diff --git a/pki/base/common/src/com/netscape/cms/servlet/profile/ProfileSubmitServlet.java b/pki/base/common/src/com/netscape/cms/servlet/profile/ProfileSubmitServlet.java
index b90dc97b7db24dcf2e562a8388b9b1f8cb1a2960..4a7d70cc0f574125b735f7d0a7aa5edfbeaf6a05 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/profile/ProfileSubmitServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/profile/ProfileSubmitServlet.java
@@ -130,13 +130,13 @@ public class ProfileSubmitServlet extends ProfileServlet {
 
     private void setInputsIntoContext(HttpServletRequest request, IProfile profile, IProfileContext ctx) {
         // passing inputs into context
-        Enumeration inputIds = profile.getProfileInputIds();
+        Enumeration<String> inputIds = profile.getProfileInputIds();
 
         if (inputIds != null) {
             while (inputIds.hasMoreElements()) {
                 String inputId = (String) inputIds.nextElement();
                 IProfileInput profileInput = profile.getProfileInput(inputId);
-                Enumeration inputNames = profileInput.getValueNames();
+                Enumeration<String> inputNames = profileInput.getValueNames();
 
                 while (inputNames.hasMoreElements()) {
                     String inputName = (String) inputNames.nextElement();
@@ -161,13 +161,13 @@ public class ProfileSubmitServlet extends ProfileServlet {
      */
     private void setInputsIntoContext(IRequest request, IProfile profile, IProfileContext ctx, Locale locale) {
         // passing inputs into context
-        Enumeration inputIds = profile.getProfileInputIds();
+        Enumeration<String> inputIds = profile.getProfileInputIds();
 
         if (inputIds != null) {
             while (inputIds.hasMoreElements()) {
                 String inputId = (String) inputIds.nextElement();
                 IProfileInput profileInput = profile.getProfileInput(inputId);
-                Enumeration inputNames = profileInput.getValueNames();
+                Enumeration<String> inputNames = profileInput.getValueNames();
 
                 while (inputNames.hasMoreElements()) {
                     String inputName = (String) inputNames.nextElement();
@@ -193,7 +193,7 @@ public class ProfileSubmitServlet extends ProfileServlet {
 
     private void setCredentialsIntoContext(HttpServletRequest request, IProfileAuthenticator authenticator,
             IProfileContext ctx) {
-        Enumeration authIds = authenticator.getValueNames();
+        Enumeration<String> authIds = authenticator.getValueNames();
 
         if (authIds != null) {
             CMS.debug("ProfileSubmitServlet:setCredentialsIntoContext() authNames not null");
@@ -303,7 +303,7 @@ public class ProfileSubmitServlet extends ProfileServlet {
         AuthCredentials credentials = new AuthCredentials();
 
         // build credential
-        Enumeration authNames = authenticator.getValueNames();
+        Enumeration<String> authNames = authenticator.getValueNames();
 
         if (authNames != null) {
             while (authNames.hasMoreElements()) {
@@ -329,13 +329,13 @@ public class ProfileSubmitServlet extends ProfileServlet {
     }
 
     private void setInputsIntoRequest(HttpServletRequest request, IProfile profile, IRequest req) {
-        Enumeration inputIds = profile.getProfileInputIds();
+        Enumeration<String> inputIds = profile.getProfileInputIds();
 
         if (inputIds != null) {
             while (inputIds.hasMoreElements()) {
                 String inputId = (String) inputIds.nextElement();
                 IProfileInput profileInput = profile.getProfileInput(inputId);
-                Enumeration inputNames = profileInput.getValueNames();
+                Enumeration<String> inputNames = profileInput.getValueNames();
 
                 if (inputNames != null) {
                     while (inputNames.hasMoreElements()) {
@@ -363,13 +363,13 @@ public class ProfileSubmitServlet extends ProfileServlet {
      */
     private void setInputsIntoRequest(IRequest request, IProfile profile, IRequest req, Locale locale) {
         // passing inputs into request
-        Enumeration inputIds = profile.getProfileInputIds();
+        Enumeration<String> inputIds = profile.getProfileInputIds();
 
         if (inputIds != null) {
             while (inputIds.hasMoreElements()) {
                 String inputId = (String) inputIds.nextElement();
                 IProfileInput profileInput = profile.getProfileInput(inputId);
-                Enumeration inputNames = profileInput.getValueNames();
+                Enumeration<String> inputNames = profileInput.getValueNames();
 
                 while (inputNames.hasMoreElements()) {
                     String inputName = (String) inputNames.nextElement();
@@ -394,14 +394,14 @@ public class ProfileSubmitServlet extends ProfileServlet {
     }
 
     private void setOutputIntoArgs(IProfile profile, ArgList outputlist, Locale locale, IRequest req) {
-        Enumeration outputIds = profile.getProfileOutputIds();
+        Enumeration<String> outputIds = profile.getProfileOutputIds();
 
         if (outputIds != null) {
             while (outputIds.hasMoreElements()) {
                 String outputId = (String) outputIds.nextElement();
                 IProfileOutput profileOutput = profile.getProfileOutput(outputId);
 
-                Enumeration outputNames = profileOutput.getValueNames();
+                Enumeration<String> outputNames = profileOutput.getValueNames();
 
                 if (outputNames != null) {
                     while (outputNames.hasMoreElements()) {
@@ -483,10 +483,11 @@ public class ProfileSubmitServlet extends ProfileServlet {
 
         if (CMS.debugOn()) {
             CMS.debug("Start of ProfileSubmitServlet Input Parameters");
-            Enumeration paramNames = request.getParameterNames();
+            @SuppressWarnings("unchecked")
+            Enumeration<String> paramNames = request.getParameterNames();
 
             while (paramNames.hasMoreElements()) {
-                String paramName = (String) paramNames.nextElement();
+                String paramName = paramNames.nextElement();
                 // added this facility so that password can be hidden,
                 // all sensitive parameters should be prefixed with 
                 // __ (double underscores); however, in the event that
@@ -749,7 +750,7 @@ public class ProfileSubmitServlet extends ProfileServlet {
                             if (origReq != null) {
                                 CMS.debug("ProfileSubmitServlet: renewal: found original enrollment request id:" + rid);
                                 // debug: print the extData keys
-                                Enumeration en = origReq.getExtDataKeys();
+                                Enumeration<String> en = origReq.getExtDataKeys();
                                 /*
                                                                 CMS.debug("ProfileSubmitServlet: renewal: origRequest extdata key print BEGINS");
                                                                 while (en.hasMoreElements()) {
@@ -973,11 +974,11 @@ public class ProfileSubmitServlet extends ProfileServlet {
             CMS.debug("ProfileSubmitServlet: authentication required.");
             String uid_cred = "Unidentified";
             String uid_attempted_cred = "Unidentified";
-            Enumeration authIds = authenticator.getValueNames();
+            Enumeration<String> authIds = authenticator.getValueNames();
             //Attempt to possibly fetch attemped uid, may not always be available.
             if (authIds != null) {
                 while (authIds.hasMoreElements()) {
-                    String authName = (String) authIds.nextElement();
+                    String authName = authIds.nextElement();
                     String value = request.getParameter(authName);
                     if (value != null) {
                         if (authName.equals("uid")) {
@@ -1156,9 +1157,9 @@ public class ProfileSubmitServlet extends ProfileServlet {
 
             // serial auth token into request
             if (authToken != null) {
-                Enumeration tokenNames = authToken.getElements();
+                Enumeration<String> tokenNames = authToken.getElements();
                 while (tokenNames.hasMoreElements()) {
-                    String tokenName = (String) tokenNames.nextElement();
+                    String tokenName = tokenNames.nextElement();
                     String[] tokenVals = authToken.getInStringArray(tokenName);
                     if (tokenVals != null) {
                         for (int i = 0; i < tokenVals.length; i++) {
@@ -1286,9 +1287,9 @@ public class ProfileSubmitServlet extends ProfileServlet {
                     // print request debug
                     if (reqs[k] != null) {
                         requestIds += "  " + reqs[k].getRequestId().toString();
-                        Enumeration reqKeys = reqs[k].getExtDataKeys();
+                        Enumeration<String> reqKeys = reqs[k].getExtDataKeys();
                         while (reqKeys.hasMoreElements()) {
-                            String reqKey = (String) reqKeys.nextElement();
+                            String reqKey = reqKeys.nextElement();
                             String reqVal = reqs[k].getExtDataInString(reqKey);
                             if (reqVal != null) {
                                 CMS.debug("ProfileSubmitServlet: key=$request." + reqKey + "$ value=" + reqVal);
@@ -1491,15 +1492,15 @@ public class ProfileSubmitServlet extends ProfileServlet {
                 } else {
                     CMS.debug("ProfileSubmitServlet xmlOutput: no certInfo found in request");
                 }
-                Enumeration outputIds = profile.getProfileOutputIds();
+                Enumeration<String> outputIds = profile.getProfileOutputIds();
                 if (outputIds != null) {
                     while (outputIds.hasMoreElements()) {
-                        String outputId = (String) outputIds.nextElement();
+                        String outputId = outputIds.nextElement();
                         IProfileOutput profileOutput = profile.getProfileOutput(outputId);
-                        Enumeration outputNames = profileOutput.getValueNames();
+                        Enumeration<String> outputNames = profileOutput.getValueNames();
                         if (outputNames != null) {
                             while (outputNames.hasMoreElements()) {
-                                String outputName = (String) outputNames.nextElement();
+                                String outputName = outputNames.nextElement();
                                 if (!outputName.equals("b64_cert") && !outputName.equals("pkcs7"))
                                     continue;
                                 try {
diff --git a/pki/base/common/src/com/netscape/cms/servlet/request/CertReqParser.java b/pki/base/common/src/com/netscape/cms/servlet/request/CertReqParser.java
index 7fc353a0f0b711204f962c8444e937b293c69e3f..d8fc68a69a4d7a10326452eb7d352b96f109ee5e 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/request/CertReqParser.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/request/CertReqParser.java
@@ -127,7 +127,7 @@ public class CertReqParser extends ReqParser {
         arg.addStringValue("certExtsEnabled", "yes");
 
         int saCounter = 0;
-        Enumeration enum1 = req.getExtDataKeys();
+        Enumeration<String> enum1 = req.getExtDataKeys();
 
         // gross hack
         String prefix = "record.";
@@ -136,14 +136,14 @@ public class CertReqParser extends ReqParser {
             prefix = "header.";
 
         while (enum1.hasMoreElements()) {
-            String name = (String) enum1.nextElement();
+            String name = enum1.nextElement();
 
             if (mDetails) {
                 // show all http parameters stored in request.
                 if (name.equalsIgnoreCase(IRequest.HTTP_PARAMS)) {
-                    Hashtable http_params = req.getExtDataInHashtable(name);
+                    Hashtable<String, String> http_params = req.getExtDataInHashtable(name);
                     // show certType specially 
-                    String certType = (String) http_params.get(IRequest.CERT_TYPE);
+                    String certType = http_params.get(IRequest.CERT_TYPE);
 
                     if (certType != null) {
                         arg.addStringValue(IRequest.CERT_TYPE, certType);
@@ -155,13 +155,13 @@ public class CertReqParser extends ReqParser {
                     }
                     // show all http parameters in request
                     int counter = 0;
-                    Enumeration elms = http_params.keys();
+                    Enumeration<String> elms = http_params.keys();
 
                     while (elms.hasMoreElements()) {
                         String parami =
                                 IRequest.HTTP_PARAMS + LB + String.valueOf(counter++) + RB;
                         // hack
-                        String n = (String) elms.nextElement();
+                        String n = elms.nextElement();
                         String rawJS = "new Object;\n\r" +
                                 prefix + parami + ".name=\"" +
                                 CMSTemplate.escapeJavaScriptString(n) + "\";\n\r" +
@@ -173,15 +173,15 @@ public class CertReqParser extends ReqParser {
                     }
                 } // show all http headers stored in request.
                 else if (name.equalsIgnoreCase(IRequest.HTTP_HEADERS)) {
-                    Hashtable http_hdrs = req.getExtDataInHashtable(name);
-                    Enumeration elms = http_hdrs.keys();
+                    Hashtable<String, String> http_hdrs = req.getExtDataInHashtable(name);
+                    Enumeration<String> elms = http_hdrs.keys();
                     int counter = 0;
 
                     while (elms.hasMoreElements()) {
                         String parami =
                                 IRequest.HTTP_HEADERS + LB + String.valueOf(counter++) + RB;
                         // hack
-                        String n = (String) elms.nextElement();
+                        String n = elms.nextElement();
                         String rawJS = "new Object;\n\r" +
                                 prefix + parami + ".name=\"" +
                                 CMSTemplate.escapeJavaScriptString(n) + "\";\n\r" +
@@ -194,14 +194,14 @@ public class CertReqParser extends ReqParser {
                 } // show all auth token stored in request.
                 else if (name.equalsIgnoreCase(IRequest.AUTH_TOKEN)) {
                     IAuthToken auth_token = req.getExtDataInAuthToken(name);
-                    Enumeration elms = auth_token.getElements();
+                    Enumeration<String> elms = auth_token.getElements();
                     int counter = 0;
 
                     while (elms.hasMoreElements()) {
                         String parami =
                                 IRequest.AUTH_TOKEN + LB + String.valueOf(counter++) + RB;
                         // hack
-                        String n = (String) elms.nextElement();
+                        String n = elms.nextElement();
                         Object authTokenValue = auth_token.getInStringArray(n);
                         if (authTokenValue == null) {
                             authTokenValue = auth_token.getInString(n);
@@ -274,7 +274,7 @@ public class CertReqParser extends ReqParser {
             }
 
             if (name.equalsIgnoreCase(IRequest.ERRORS)) {
-                Vector errorStrings = req.getExtDataInStringVector(name);
+                Vector<String> errorStrings = req.getExtDataInStringVector(name);
                 if (errorStrings != null) {
                     StringBuffer errInfo = new StringBuffer();
 
@@ -346,10 +346,10 @@ public class CertReqParser extends ReqParser {
                         } catch (Exception e) {
                         }
                         if (extensions != null) {
-                            Enumeration exts = extensions.getElements();
+                            Enumeration<Extension> exts = extensions.getAttributes();
 
                             while (exts.hasMoreElements()) {
-                                Extension ext = (Extension) exts.nextElement();
+                                Extension ext = exts.nextElement();
 
                                 // only know about ns cert type
                                 if (ext instanceof NSCertTypeExtension) {
@@ -526,16 +526,16 @@ public class CertReqParser extends ReqParser {
                 }
             }
             if (name.equalsIgnoreCase(IRequest.FINGERPRINTS) && mDetails) {
-                Hashtable fingerprints =
+                Hashtable<String, String> fingerprints =
                         req.getExtDataInHashtable(IRequest.FINGERPRINTS);
 
                 if (fingerprints != null) {
                     String namesAndHashes = null;
-                    Enumeration enumFingerprints = fingerprints.keys();
+                    Enumeration<String> enumFingerprints = fingerprints.keys();
 
                     while (enumFingerprints.hasMoreElements()) {
-                        String hashname = (String) enumFingerprints.nextElement();
-                        String hashvalue = (String) fingerprints.get(hashname);
+                        String hashname = enumFingerprints.nextElement();
+                        String hashvalue = fingerprints.get(hashname);
                         byte[] fingerprint = CMS.AtoB(hashvalue);
                         String ppFingerprint = pp.toHexString(fingerprint, 0);
 
@@ -568,7 +568,8 @@ public class CertReqParser extends ReqParser {
                 int j = 0;
 
                 StringBuffer sb = new StringBuffer();
-                for (Enumeration n = ((Vector) v).elements(); n.hasMoreElements(); j++) {
+                for (@SuppressWarnings("unchecked")
+                Enumeration<String> n = ((Vector<String>) v).elements(); n.hasMoreElements(); j++) {
                     sb.append(";\n");
                     sb.append(valuename);
                     sb.append(LB);
@@ -678,7 +679,7 @@ public class CertReqParser extends ReqParser {
         }
 
         int saCounter = 0;
-        Enumeration enum1 = req.getExtDataKeys();
+        Enumeration<String> enum1 = req.getExtDataKeys();
 
         // gross hack
         String prefix = "record.";
@@ -692,16 +693,16 @@ public class CertReqParser extends ReqParser {
             if (mDetails) {
                 // show all http parameters stored in request.
                 if (name.equalsIgnoreCase(IRequest.HTTP_PARAMS)) {
-                    Hashtable http_params = req.getExtDataInHashtable(name);
+                    Hashtable<String, String> http_params = req.getExtDataInHashtable(name);
                     // show certType specially 
-                    String certType = (String) http_params.get(IRequest.CERT_TYPE);
+                    String certType = http_params.get(IRequest.CERT_TYPE);
 
                     if (certType != null) {
                         arg.addStringValue(IRequest.CERT_TYPE, certType);
                     }
                     // show all http parameters in request
                     int counter = 0;
-                    Enumeration elms = http_params.keys();
+                    Enumeration<String> elms = http_params.keys();
 
                     while (elms.hasMoreElements()) {
                         String parami =
@@ -719,15 +720,15 @@ public class CertReqParser extends ReqParser {
                     }
                 } // show all http headers stored in request.
                 else if (name.equalsIgnoreCase(IRequest.HTTP_HEADERS)) {
-                    Hashtable http_hdrs = req.getExtDataInHashtable(name);
-                    Enumeration elms = http_hdrs.keys();
+                    Hashtable<String, String> http_hdrs = req.getExtDataInHashtable(name);
+                    Enumeration<String> elms = http_hdrs.keys();
                     int counter = 0;
 
                     while (elms.hasMoreElements()) {
                         String parami =
                                 IRequest.HTTP_HEADERS + LB + String.valueOf(counter++) + RB;
                         // hack
-                        String n = (String) elms.nextElement();
+                        String n = elms.nextElement();
                         String rawJS = "new Object;\n\r" +
                                 prefix + parami + ".name=\"" +
                                 CMSTemplate.escapeJavaScriptString(n) + "\";\n\r" +
@@ -740,7 +741,7 @@ public class CertReqParser extends ReqParser {
                 } // show all auth token stored in request.
                 else if (name.equalsIgnoreCase(IRequest.AUTH_TOKEN)) {
                     IAuthToken auth_token = req.getExtDataInAuthToken(name);
-                    Enumeration elms = auth_token.getElements();
+                    Enumeration<String> elms = auth_token.getElements();
                     int counter = 0;
 
                     while (elms.hasMoreElements()) {
@@ -801,7 +802,7 @@ public class CertReqParser extends ReqParser {
             }
 
             if (name.equalsIgnoreCase(IRequest.ERRORS)) {
-                Vector errorsVector = req.getExtDataInStringVector(name);
+                Vector<String> errorsVector = req.getExtDataInStringVector(name);
                 if (errorsVector != null) {
                     StringBuffer errInfo = new StringBuffer();
 
diff --git a/pki/base/common/src/com/netscape/cms/servlet/request/CheckRequest.java b/pki/base/common/src/com/netscape/cms/servlet/request/CheckRequest.java
index b0a70ffc15dc8ae0540cab2ddb7e833927a75dee..1d04952d156eb88a32e19c64b64468b5fd1f8d8a 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/request/CheckRequest.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/request/CheckRequest.java
@@ -502,7 +502,8 @@ public class CheckRequest extends CMSServlet {
                                         ByteArrayInputStream issuer1 = new
                                                 ByteArrayInputStream(((X500Name) cert.getIssuerDN()).getEncoded());
                                         Name issuer = (Name) Name.getTemplate().decode(issuer1);
-                                        IssuerAndSerialNumber ias = new
+                                        IssuerAndSerialNumber ias =
+                                                new
                                                 IssuerAndSerialNumber(issuer, new INTEGER(cert.getSerialNumber()
                                                         .toString()));
                                         SignerIdentifier si = new
@@ -511,8 +512,8 @@ public class CheckRequest extends CMSServlet {
                                         // SHA1 is the default digest Alg for now.
                                         DigestAlgorithm digestAlg = null;
                                         SignatureAlgorithm signAlg = null;
-                                        org.mozilla.jss.crypto.PrivateKey privKey = CryptoManager.getInstance()
-                                                .findPrivKeyByCert(x509cert);
+                                        org.mozilla.jss.crypto.PrivateKey privKey =
+                                                CryptoManager.getInstance().findPrivKeyByCert(x509cert);
                                         org.mozilla.jss.crypto.PrivateKey.Type keyType = privKey.getType();
 
                                         if (keyType.equals(org.mozilla.jss.crypto.PrivateKey.RSA))
@@ -557,7 +558,8 @@ public class CheckRequest extends CMSServlet {
                                         for (int j = 0; j < certsInChain.length; j++) {
                                             ByteArrayInputStream is = new
                                                     ByteArrayInputStream(certsInChain[j].getEncoded());
-                                            org.mozilla.jss.pkix.cert.Certificate certJss = (org.mozilla.jss.pkix.cert.Certificate)
+                                            org.mozilla.jss.pkix.cert.Certificate certJss =
+                                                    (org.mozilla.jss.pkix.cert.Certificate)
                                                     org.mozilla.jss.pkix.cert.Certificate.getTemplate().decode(is);
 
                                             jsscerts.addElement(certJss);
@@ -566,7 +568,8 @@ public class CheckRequest extends CMSServlet {
                                         SignedData fResponse = new
                                                 SignedData(digestAlgs, ci,
                                                         jsscerts, null, signInfos);
-                                        org.mozilla.jss.pkix.cms.ContentInfo fullResponse = new
+                                        org.mozilla.jss.pkix.cms.ContentInfo fullResponse =
+                                                new
                                                 org.mozilla.jss.pkix.cms.ContentInfo(
                                                         org.mozilla.jss.pkix.cms.ContentInfo.SIGNED_DATA, fResponse);
                                         ByteArrayOutputStream ostream = new
diff --git a/pki/base/common/src/com/netscape/cms/servlet/request/ProcessCertReq.java b/pki/base/common/src/com/netscape/cms/servlet/request/ProcessCertReq.java
index cbed8ae6b60173d3389db48aea6e2cbe30f5f31f..cbe73c79f8cf2f259dad8bdbe9dbdfc107414972 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/request/ProcessCertReq.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/request/ProcessCertReq.java
@@ -615,7 +615,7 @@ public class ProcessCertReq extends CMSServlet {
                             String addExts = req.getParameter("addExts");
 
                             if (addExts != null && !addExts.trim().equals("")) {
-                                Vector extsToBeAdded = new Vector();
+                                Vector<Extension> extsToBeAdded = new Vector<Extension>();
 
                                 byte[] b = (byte[]) (com.netscape.osutil.OSUtil.AtoB(addExts));
 
@@ -683,7 +683,8 @@ public class ProcessCertReq extends CMSServlet {
                                                         new BasicConstraintsExtension(isCA.booleanValue(), pathLen);
 
                                                 extensions.delete(BasicConstraintsExtension.NAME);
-                                                extensions.set(BasicConstraintsExtension.NAME, (Extension) bcExt0);
+                                                extensions.set(BasicConstraintsExtension.NAME,
+                                                        (Extension) bcExt0);
                                                 alterationCounter++;
                                             }
                                         }
@@ -753,22 +754,24 @@ public class ProcessCertReq extends CMSServlet {
                                     } catch (Exception e1) {
                                     }
                                     // create extension
-                                    PresenceServerExtension pseExt = new PresenceServerExtension(Critical, Version,
-                                            StreetAddress, TelephoneNumber, RFC822Name, IMID, HostName, PortNumber,
-                                            MaxUsers, ServiceLevel);
+                                    PresenceServerExtension pseExt =
+                                            new PresenceServerExtension(Critical, Version, StreetAddress,
+                                                    TelephoneNumber, RFC822Name, IMID, HostName, PortNumber, MaxUsers,
+                                                    ServiceLevel);
 
                                     extensions.set(pseExt.getExtensionId().toString(), pseExt);
                                 }
 
                                 if (mExtraAgentParams) {
-                                    Enumeration extraparams = req.getParameterNames();
+                                    @SuppressWarnings("unchecked")
+                                    Enumeration<String> extraparams = req.getParameterNames();
                                     int l = IRequest.AGENT_PARAMS.length() + 1;
                                     int ap_counter = 0;
-                                    Hashtable agentparamsargblock = new Hashtable();
+                                    Hashtable<String, String> agentparamsargblock = new Hashtable<String, String>();
 
                                     if (extraparams != null) {
                                         while (extraparams.hasMoreElements()) {
-                                            String s = (String) extraparams.nextElement();
+                                            String s = extraparams.nextElement();
 
                                             if (s.startsWith(IRequest.AGENT_PARAMS)) {
                                                 String param_value = req.getParameter(s);
@@ -933,7 +936,8 @@ public class ProcessCertReq extends CMSServlet {
                                                 authMgr,
                                                 "completed",
                                                 issuedCerts[i].getSubjectDN(),
-                                                "cert issued serial number: 0x" +
+                                                "cert issued serial number: 0x"
+                                                        +
                                                         issuedCerts[i].getSerialNumber().toString(16) + " time: "
                                                         + (endTime - startTime) }
                                         );
